### Function

# GimpUi ItemConstraintFunc

#### Declaration

    gboolean
    (* GimpItemConstraintFunc) (
      GimpImage* image,
      GimpItem* item,
      gpointer data
    )

#### Description

No description available.

#### Parameters

`image`

  Type: `GimpImage`

  No description available.

  The data is owned by the caller of the function.

`item`

  Type: `GimpItem`

  No description available.

  The data is owned by the caller of the function.

`data`

  Type: `gpointer`

  No description available.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

No description available.